Subject: default install, all executables have executable bit on but [ -x script ] fails..
From: Ron Arts <[email-masked]>
To: [email-masked]
Date: Fri, 22 Nov 2002 12:05:27 +0100

This probably is a newbie question, I searched the FAQ and the mailinglists
but could not find anything.

I just installed Cygwin on our Win2000 Terminal Server as Administrator.
I then logged as myself, started cygwin, logged in to our CVS server,
and downloaded the software I am trying to port to Windows.

The package uses autoconf et al, so I have an autogen script that looks
like this:

#!/bin/sh
set -x

rm -f config.cache
#gettextize --force --copy
libtoolize --force --copy
aclocal
autoheader
autoconf
automake --copy --add-missing
./configure --enable-debug

However, running this script fails with:

$ ./autogen.sh
+ rm -f config.cache
+ libtoolize --force --copy
Can't find /usr/autotool/devel/bin/libtoolize
+ aclocal
Can't find /usr/autotool/devel/bin/aclocal
(rest of output cut off here)

$ ls -l /usr/autotool/devel/bin/aclocal-1.7
-rwx------     1 Administ  None           9891  Oct 22 09:25 /usr/autotool/devel/bin/libtoolize

This is a default cygwin.exe install, shouldn't the binaries have 755 permissions or something?
my CYGWIN variable is "tty notitle glob ntsec ntea"

Do I need to change all executables in c:\cygwin to 0755, using chmod -R as Administrator?
Did I do something wrong in the installer?

Thanks for any input,
Ron Arts

-- 
Netland Internet Services
bedrijfsmatige internetoplossingen

http://www.netland.nl   Kruislaan 419              1098 VA Amsterdam
info: 020-5628282       servicedesk: 020-5628280   fax: 020-5628281

Give me some chocolate and no one gets hurt!